org.apache.ignite.internal.processors.cache.mvcc

## Interface MvccQueryTracker

All Known Implementing Classes:
  MvccQueryTrackerImpl, StaticMvccQueryTracker

    public interface MvccQueryTracker

Mvcc tracker.

### Field Summary

Fields
`static AtomicLong` `ID_CNTR`
`static long` `MVCC_TRACKER_ID_NA`

### Method Summary

All Methods Instance Methods Abstract Methods
`GridCacheContext` `context()`
`long` `id()`
`void` `onDone()` Marks tracker as done.
`IgniteInternalFuture<Void>` `onDone(GridNearTxLocal tx, boolean commit)` Marks tracker as done.
`long` `onMvccCoordinatorChange(MvccCoordinator newCrd)` Mvcc coordinator change callback.
`IgniteInternalFuture<MvccSnapshot>` `requestSnapshot()` Requests version on coordinator.
`IgniteInternalFuture<MvccSnapshot>` `requestSnapshot(AffinityTopologyVersion topVer)` Requests version on coordinator.
`void` `requestSnapshot(AffinityTopologyVersion topVer, MvccSnapshotResponseListener lsnr)` Requests version on coordinator.
`MvccSnapshot` `snapshot()`
`AffinityTopologyVersion` `topologyVersion()`

### Field Detail

#### ID_CNTR

    static final AtomicLong ID_CNTR

#### MVCC_TRACKER_ID_NA

    static final long MVCC_TRACKER_ID_NA

See Also:
  Constant Field Values

### Method Detail

#### id

    long id()

Returns:
  Tracker id.

#### snapshot

    MvccSnapshot snapshot()

Returns:
  Requested MVCC snapshot.

#### context

    GridCacheContext context()

Returns:
  Cache context.

#### topologyVersion

    AffinityTopologyVersion topologyVersion()

Returns:
  Topology version.

#### requestSnapshot

    IgniteInternalFuture<MvccSnapshot> requestSnapshot()

Requests version on coordinator.

Returns:
  Future to wait for result.

#### requestSnapshot

    IgniteInternalFuture<MvccSnapshot> requestSnapshot(@NotNull
                                                       AffinityTopologyVersion topVer)

Requests version on coordinator.

Parameters:
  `topVer` - Topology version.
Returns:
  Future to wait for result.

#### requestSnapshot

    void requestSnapshot(@NotNull
                         AffinityTopologyVersion topVer,
                         @NotNull
                         MvccSnapshotResponseListener lsnr)

Requests version on coordinator.

Parameters:
  `topVer` - Topology version.
  `lsnr` - Response listener.

#### onDone

    void onDone()

Marks tracker as done.

#### onDone

    @Nullable
    IgniteInternalFuture<Void> onDone(@NotNull
                                                GridNearTxLocal tx,
                                                boolean commit)

Marks tracker as done.

Parameters:
  `tx` - Transaction.
  `commit` - Commit flag.
Returns:
  Acknowledge future.

#### onMvccCoordinatorChange

    long onMvccCoordinatorChange(MvccCoordinator newCrd)

Mvcc coordinator change callback.

Parameters:
  `newCrd` - New mvcc coordinator.
Returns:
  Query id if exists.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019